import { getCycleDaysRequestList } from "@/app/lib/cycle-days/action";
import { Box } from "@chakra-ui/react";
import CycleDaysTable from "./component/table";

interface CycleDaysProps {
  searchParams: {
    page: number;
    q: string;
  };
}

export default async function CycleDays({ searchParams }: CycleDaysProps) {
  const fetchData = await getCycleDaysRequestList(searchParams);

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {fetchData?.data && <CycleDaysTable data={fetchData?.data}></CycleDaysTable>}
    </Box>
  );
}
